Wind River Support Network

HomeDefectsLIN5-21601
Fixed

LIN5-21601 : Security Advisory - qemu - CVE-2016-4020

Created: May 31, 2016    Updated: May 29, 2018
Resolved Date: Jun 30, 2016
Found In Version: 5.0.1.35
Fix Version: 5.0.1.37
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

The patch_instruction function in hw/i386/kvmvapic.c in QEMU does not initialize the imm32 variable, which allows local guest OS administrators to obtain sensitive information from host stack memory by accessing the Task Priority Register (TPR).

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-4020

Other Downloads


Live chat
Online